 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: SamlConfig
  * Author:   Louis
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.xxxx.saml.config;

 import com.fanruan.api.util.StringKit;
 import com.fr.config.*;
 import com.fr.config.holder.Conf;
 import com.fr.config.holder.factory.Holders;
 import com.fr.intelli.record.Focus;
 import com.fr.intelli.record.Original;

 /**
  * <Function Description><br>
  * <SamlConfig>
  *
  * @author fr.open
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-Saml_Group")
 public class SamlConfig extends DefaultConfiguration {
     public static final String PLUGIN_ID = "com.fr.plugin.mqh.saml.v10";
     public static final String FR_SP_SAML = "http://localhost:8075/fr-sp-saml";
     public static final String PRIVATE_KEY = "xxxx";
     public static final String SP_TOKEN = "token";
     public static final String URL_SP = "${spUrl}/saml/login?idp=${idpEntityId}&redirectUri=${redirectUri}";
     private static volatile SamlConfig config = null;
     @Identifier(value = "spUrl", name = "Plugin-Saml_Config_SpUrl", description = "Plugin-Saml_Config_SpUrl_Description", status = Status.SHOW)
     private final Conf<String> spUrl = Holders.simple(FR_SP_SAML);
     @Identifier(value = "idpEntityId", name = "Plugin-Saml_Config_IdpEntityId", description = "Plugin-Saml_Config_IdpEntityId_Description", status = Status.SHOW)
     private final Conf<String> idpEntityId = Holders.simple(StringKit.EMPTY);

     @Focus(id = PLUGIN_ID, text = "Plugin-Saml", source = Original.PLUGIN)
     public static SamlConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(SamlConfig.class);
         }
         return config;
     }

     public String getSpUrl() {
         return spUrl.get();
     }

     public void setSpUrl(String spUrl) {
         this.spUrl.set(spUrl);
     }

     public String getIdpEntityId() {
         return idpEntityId.get();
     }

     public void setIdpEntityId(String idpEntityId) {
         this.idpEntityId.set(idpEntityId);
     }
 }